From 141b7862a292323fa41c9f863e16f49e548d8bfa Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Thu, 24 Feb 2022 16:04:59 +0100
Subject: [PATCH] Fix build without texttospeech

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 messageviewer/src/utils/messageviewerutil.cpp                 | 1 -
 messageviewer/src/viewer/viewer_p.cpp                         | 2 ++
 messageviewer/src/widgets/mailsourceviewtextbrowserwidget.cpp | 2 ++
 3 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/messageviewer/src/utils/messageviewerutil.cpp b/messageviewer/src/utils/messageviewerutil.cpp
index 607fa65cb..e2446c13a 100644
--- a/messageviewer/src/utils/messageviewerutil.cpp
+++ b/messageviewer/src/utils/messageviewerutil.cpp
@@ -41,7 +41,6 @@
 #include "MessageCore/StringUtil"
 #include "messageviewer_debug.h"
 #include "messageviewerutil_p.h"
-#include <KPIMTextEdit/TextToSpeech>
 #include <MimeTreeParser/NodeHelper>
 
 #include <PimCommon/RenameFileDialog>
diff --git a/messageviewer/src/viewer/viewer_p.cpp b/messageviewer/src/viewer/viewer_p.cpp
index b989b294a..22587635c 100644
--- a/messageviewer/src/viewer/viewer_p.cpp
+++ b/messageviewer/src/viewer/viewer_p.cpp
@@ -129,7 +129,9 @@
 #include <Akonadi/CollectionFetchScope>
 
 #include <KJobWidgets/KJobWidgets>
+#if KPIMTEXTEDIT_TEXT_TO_SPEECH
 #include <KPIMTextEdit/TextToSpeechWidget>
+#endif
 #include <QApplication>
 #include <QStandardPaths>
 #include <QWebEngineSettings>
diff --git a/messageviewer/src/widgets/mailsourceviewtextbrowserwidget.cpp b/messageviewer/src/widgets/mailsourceviewtextbrowserwidget.cpp
index 0e5b61c1e..67ac5bf1a 100644
--- a/messageviewer/src/widgets/mailsourceviewtextbrowserwidget.cpp
+++ b/messageviewer/src/widgets/mailsourceviewtextbrowserwidget.cpp
@@ -13,8 +13,10 @@
 #include "messageviewer/messageviewerutil.h"
 #include "messageviewer_debug.h"
 #include <KPIMTextEdit/SlideContainer>
+#if KPIMTEXTEDIT_TEXT_TO_SPEECH
 #include <KPIMTextEdit/TextToSpeechInterface>
 #include <KPIMTextEdit/TextToSpeechWidget>
+#endif
 #include <PimCommon/PimUtil>
 
 #include <KSyntaxHighlighting/Definition>
-- 
2.35.1

